Skip to content

Get organizations

GET
/api/v1/gen_organizations

Retrieve a list of organizations.

Successful Response

Response Get Organizations Api V1 Gen Organizations Get
Array<object>
OrganizationResponse

Full organization response model

object
id
required
Id
integer
uuid
Any of:
string
name
required
Name
string
credit_plan
Any of:
object
key
additional properties
any
organization_id
required
Organization Id
integer
avatar
Any of:
OrganizationAvatar
object
url
Any of:
string
thumbnail_url
Any of:
string
key
additional properties
any
user_role
Any of:
string
credit
Any of:
string
available_credit
Any of:
AvailableCredit
object
generic
Any of:
string
aura
Any of:
string
key
additional properties
any
total_members
Any of:
integer
key
additional properties
any

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Forbidden: You cannot update your own role, or the role of the owner, or remove yourself from the organization.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "You cannot update your own role",
"error_code": "cannot_update_own_role"
}

Not Found: User not found, or user is not a member of this organization.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "User not found",
"error_code": "user_not_found"
}

Unprocessable Content: Validation error (e.g., invalid parameters).

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Name is too long",
"error_code": "validation_error"
}

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string